1. conite's Avatar
    With an autoloder? No?
    No.
    03-07-17 02:33 PM
  2. C_McD's Avatar
    if you are sure mobile data is turned on in the Android runtime using Android settings, then you may just be out of luck. There seems to be some connectivity issues particularly with 10.3.3.
    My eKey App no longer updates with their server since I updated the 10.3.3.1463. I just tried changing it from WiFi only to WiFi and Cellular. After rebook the app still wouldn't sync.

    Is there any suggested work arounds?

    Thanks

    Z30 10.3.2.556 USA
    03-07-17 02:48 PM
  3. conite's Avatar
    My eKey App no longer updates with their server since I updated the 10.3.3.1463. I just tried changing it from WiFi only to WiFi and Cellular. After rebook the app still wouldn't sync.

    Is there any suggested work arounds?

    Thanks

    Z30 10.3.2.556 USA
    Nope. It seems we are stuck with this.
    03-07-17 02:50 PM
  4. joeldf's Avatar
    So you're telling me ...

    Anyhow, I'm going to experiment just-in-case, as I have a feeling the NVRAM is not written in stone ;-)
    So you're telling me that you think you're the only person to test that feeling since BlackBerry first put the block-list into effect with 10.3.2.500 almost two years ago?

    Good luck with that.



    Unless you have access to the tools that BlackBerry has within their company walls, you can be pretty sure NVRAM is written in stone.

    Joel
    03-07-17 02:51 PM
  5. KGreater's Avatar
    Ok everyone, quick question(s).... is it advised to update apps like Instagram and Apple Music inside Play Store? Or will this cause apps to stop working properly? Thanks in advance!

    Posted via CB10
    03-07-17 05:50 PM
  6. merc_slk_amg's Avatar
    My BankID worked to yesterday, the version I got is now to old.
    Sorry to say patcher 1.6 does work on most google apps, but not
    on the new version of BankID.

    All ok until, recompil is complete:

    Message:
    Package cannot be recompiled.

    Cobalt can you check if you can solve the problem ?
    03-08-17 02:50 AM
  7. Cobalt232's Avatar
    Its not a problem of the patcher. It's an issue of apkTool, which is doing the decompiling/recompiling of the apk. We need to wait for an update of apktool.
    03-08-17 06:10 AM
  8. txfabnet's Avatar
    Have any idea when Apktool while be updated ?

    Posted via CB10
    03-08-17 11:35 AM
  9. conite's Avatar
    Have any idea when Apktool while be updated ?

    Posted via CB10
    It just gets updated periodically. Just keep checking for it.
    03-08-17 11:36 AM
  10. merc_slk_amg's Avatar
    How often is the release of apktool ?
    03-08-17 04:05 PM
  11. merc_slk_amg's Avatar
    Its not a problem of the patcher. It's an issue of apkTool, which is doing the decompiling/recompiling of the apk. We need to wait for an update of apktool.
    News

    23 Jan 2017 - Apktool v2.2.2 Released

    Details / Download
    18 Oct 2016 - Apktool v2.2.1 Released

    Details / Download
    07 Aug 2016 - Apktool v2.2.0 Released

    Details / Download
    07 May 2016 - Apktool v2.1.1 Released

    Details / Download

    Is this the one ?
    03-08-17 04:10 PM
  12. Cobalt232's Avatar
    If you are running the default setup in Play Services Patcher, you may want to download the 2.2.2 version of APKTool.

    Instructions:
    1. Download APKTool 2.2.2
    2. Rename the file to apktool.jar
    3. Replace the existing apktool.jar in the lib folder of Play Services patcher

    Then: Run the patcher, go to options and choose "update framework"

    After that, try if it works.
    03-08-17 04:15 PM
  13. Stepin's Avatar
    Hello,

    I tried to installed Cobalt but launch the version 4.4.4 instead of 3.3.3... I can't install the 3.3.3 version despite the fact I've uninstalled the previous version : "you have another version installed, please remove it first".

    I learnt about the Android Runtime bug, but I can't access the APK anymore. Nothing on BlackBerry World anymore, neither with a Google search.

    What can I do now ? anyone willing to share the APK for this damn runtime ? Thanks..
    03-08-17 04:30 PM
  14. conite's Avatar
    Hello,

    I tried to installed Cobalt but launch the version 4.4.4 instead of 3.3.3... I can't install the 3.3.3 version despite the fact I've uninstalled the previous version : "you have another version installed, please remove it first".

    I learnt about the Android Runtime bug, but I can't access the APK anymore. Nothing on BlackBerry World anymore, neither with a Google search.

    What can I do now ? anyone willing to share the APK for this damn runtime ? Thanks..
    Here is the fix:

    http://support.blackberry.com/kb/art...mber=000037772

    Reboot after install (don't open).

    Then download Ghost Commander from BBW to properly delete the old file.
    03-08-17 05:49 PM
  15. Stepin's Avatar
    Here is the fix:

    Unable to uninstall Android applications after updating to BlackBerry 10 OS version 10.3.2

    Reboot after install (don't open).

    Then download Ghost Commander from BBW to properly delete the old file.
    Thanks but the link is down, I've already tried

    It lands me to "page doesn't exist" in French. Selecting English language shows the KB with the link, but it just opens BB World home page with games suggestions.

    I tried to manualy search in BB World for the Runtime but it looks like BlackBerry removed it everywhere.
    03-09-17 12:50 AM
  16. conite's Avatar
    Thanks but the link is down, I've already tried

    It lands me to "page doesn't exist" in French. Selecting English language shows the KB with the link, but it just opens BB World home page with games suggestions.

    I tried to manualy search in BB World for the Runtime but it looks like BlackBerry removed it everywhere.
    Just tried it. Link is good. Make sure you use your BB10 browser without desktop mode.
    03-09-17 12:57 AM
  17. Stepin's Avatar
    Still nothing. I've switched my internal language to English US, but didn't change anything. I'm still stuck to the homepage of BBWorld. The link opened BBWorld but I'm just suggested with games and famous applications.

    I'm currently rebooting to see if the language switch is working. No APK anywhere if it doesn't work ?

    EDIT : reboot didn't had any effect. It launchs BBWorld with the homepage. I tried to refresh BB World in the settings, but still nothing.

    Please, can someone provide the runtime apk ? Thanks
    03-09-17 01:07 AM
  18. joeldf's Avatar
    Still nothing. I've switched my internal language to English US, but didn't change anything. I'm still stuck to the homepage of BBWorld. The link opened BBWorld but I'm just suggested with games and famous applications.

    I'm currently rebooting to see if the language switch is working. No APK anywhere if it doesn't work ?

    EDIT : reboot didn't had any effect. It launchs BBWorld with the homepage. I tried to refresh BB World in the settings, but still nothing.

    Please, can someone provide the runtime apk ? Thanks
    It goes right to the page with the download button for me...


    Cobalt's official Google Apps landing page-img_20170309_005825.png

    The runtime is not an apk. It's a native BB10 system file

    Joel
    03-09-17 02:01 AM
  19. Stepin's Avatar
    I'm using BB Leap.
    OS 10.3.2.2876
    SW 10.3.2.2836
    BBWorld 5.4.0.4

    Am I missing something ? I'm hiting the link from the KB article from Blackberry. Can't understand why it doesn't open the download button. I'm using BB Browser, desktop mode is not activated
    03-09-17 02:53 AM
  20. Stepin's Avatar
    Ok guys, finally managed to download the RunTime patch after a Factory reset of my phone. Have to restore my phone now without the android apps / runtime.

    Thanks
    03-09-17 04:40 AM
  21. panosskiad's Avatar
    HI,

    Cobalt help me!!!!! can i have viber in Blackberry passport se 10.3.22474???? What can I do??? I have install Play store but nothing...Do you a trick???
    03-09-17 12:07 PM
  22. conite's Avatar
    HI,

    Cobalt help me!!!!! can i have viber in Blackberry passport se 10.3.22474???? What can I do??? I have install Play store but nothing...Do you a trick???
    You have to go back to an old one that runs on BB10.
    http://www.apkmirror.com/apk/viber-m...-apk-download/
    03-09-17 12:46 PM
  23. merc_slk_amg's Avatar
    Best Cobalt

    Sorry to say, same result.

    Processing C:\Users\XXXX\Downloads\PS_Patcher-1.6\com.bankid.bus.apk
    The package contains 1 classes.dex file
    [Decompiling classes]
    I: Using Apktool 2.2.2 on com.bankid.bus.apk
    I: Copying raw resources...
    I: Baksmaling classes.dex...
    I: Copying assets and libs...
    Decompiled 33.88 MB in 8.58 seconds
    Done.
    [Analyzing Package]
    Google Play services dependencies detected
    Found: C:\Users\XXXX\Downloads\PS_Patcher-1.6\tmp\com.bankid.bus\smali\com\google\android\gm s\common\zzd.smali
    No matching pattern to identify Google Ads file
    [Analysis completed]

    Press CONTINUE to proceed or CANCEL to abort.

    [Patching isSignatureValid]
    .method varargs zza(Landroid/content/pm/PackageInfo;[Lcom/google/android/gms/common/zzc$zzaLcom/google/android/gms/common/zzc$zza;
    in file C:\Users\XXXX\Downloads\PS_Patcher-1.6\tmp\com.bankid.bus\smali\com\google\android\gm s\common\zzd.smali
    Done.
    [Patching isGoogleSigned]
    .method private zza(Landroid/content/pm/PackageInfo;Z)Z
    in file C:\Users\XXXX\Downloads\PS_Patcher-1.6\tmp\com.bankid.bus\smali\com\google\android\gm s\common\zzd.smali
    Done.
    [Rebuilding]
    I: Using Apktool 2.2.2
    I: Checking whether sources has changed...
    I: Smaling smali folder into classes.dex...
    Error: Package cannot be recompiled.
    [Cleaning up]
    Done.

    BankID Need Google services to run.

    Please check your mail and I will send the file to you.

    Regards

    If you are running the default setup in Play Services Patcher, you may want to download the 2.2.2 version of APKTool.

    Instructions:
    1. Download APKTool 2.2.2
    2. Rename the file to apktool.jar
    3. Replace the existing apktool.jar in the lib folder of Play Services patcher

    Then: Run the patcher, go to options and choose "update framework"

    After that, try if it works.
    Last edited by merc_slk_amg; 03-09-17 at 01:20 PM.
    03-09-17 01:03 PM
  24. Jazuyo's Avatar
    Good to see this thread keep going I'm assuming we still get new updated android apps through Cobalt's system??
    03-09-17 02:45 PM
  25. merc_slk_amg's Avatar
    Regarding PS_Patcher-1.6

    Is there anyone who has knowledge to manually rebuld after first decompilation ?
    Cobalt ?
    03-10-17 04:03 AM
9,360 ... 329330331332333 ...

Similar Threads

  1. Which android app you want to run on your BlackBerry
    By amritanshu singh in forum General BlackBerry Discussion
    Replies: 112
    Last Post: 03-10-16, 03:33 PM
  2. Will the amazon app store kill the blackberry world app store?
    By Allgoodnicknamesaretaken in forum BlackBerry Passport
    Replies: 26
    Last Post: 01-28-15, 12:23 PM
  3. Getting the PayPal app for my new Passport?
    By JVRudnick in forum BlackBerry Passport
    Replies: 22
    Last Post: 12-22-14, 11:29 PM
  4. Facebook & Crackberry Apps on Passport
    By UKAsh in forum CrackBerry Apps
    Replies: 5
    Last Post: 11-05-14, 11:43 PM
  5. BB Link type App for iphone 6 - ipad ??
    By Chopper110 in forum BlackBerry Z10
    Replies: 7
    Last Post: 10-06-14, 05:01 AM
LINK TO POST COPIED TO CLIPBOARD